/* *** LINKS *** */
.hoverRef:hover { text-decoration: underline !important; }
.blackHover:hover { color: black; }
.redHover:hover { color: var(--red); }


/* --- TOP MENU v2 --- */

.topMenu2 nav a:hover				{ background-color: var(--pastelControlColor-Light-Very); }
.topMenu2.is-scrolled nav a:hover	{ background-color: rgba(0,0,0, 0.06); }
.topMenu2 nav a:active				{ background-color: var(--pastelControlColor-Pressed); color: white !important; }
.topMenu2 nav a.selected:hover		{ background-color: var(--pastelControlColor); color: white !important; }



/* *** TOP MENU *** */
/*.headerMenu a:hover				{ background-color: var(--pastelControlColor-Light-Very); }
.headerMenu a:active			{ background-color: var(--pastelControlColor-Pressed); color: white; }
.headerMenu a.selected:hover	{ background-color: var(--pastelControlColor); color: white; }*/



/* *** BUTTONS *** */
.inlineButton:active { background-color: var(--pastelControlColor-Pressed) !important; }

/* --- FILLED --- */

/* hover */
.button-rounded.filled.hover-expand:hover .back {
	padding: 3px;
	border-radius: 13px;
}

.button-rounded.filled.hover-expand:hover .bbDiscountBadge {
	transform: translate(2px, -2px);
}

/* press */
.button-rounded.filled.gradient:active .back {
	background-image: linear-gradient(var(--pastelControlColor-Pressed), var(--pastelControlColor-Pressed)) !important;
	opacity: 1 !important;
}

.button-rounded.filled.plain:active .back,
.button-rounded.outline:active .back {
	background-color: var(--pastelControlColor-Pressed) !important;
	opacity: 1 !important;
}

.button-rounded:active .icon svg { fill: white !important; }
.button-rounded:active .title { color: white; }

/* --- OUTLINE --- */

/* hover */
.button-rounded.outline.hover-expand.gray:hover .back {
	border-width: 0;
	box-shadow: 0 0 0 3px var(--gray-16p);
}
.button-rounded.outline.hover-expand.blue:hover .back {
	border-width: 0;
	box-shadow: 0 0 0 3px var(--blue-button2);
	opacity: 0.9;
}
.button-rounded.outline.hover-expand.blue-darker:hover .back {
	border-width: 0;
	box-shadow: 0 0 0 3px #1096E1;
	opacity: 0.9;
}
.button-rounded.outline.hover-expand.darkPastel:hover .back {
	border-width: 0;
	box-shadow: 0 0 0 3px #928A76;
	opacity: 0.4;
}

/* press */
.button-rounded.outline:active .back {
	box-shadow: 0 0 0 3px var(--pastelControlColor-Pressed) !important;
}

/* --- COLOR SHADOW --- */

/* press */
.button-rounded.color-shadow:active .back {
	box-shadow: 0 1px 2px 0 rgba(78,75,71, 0.2), 0 2px 4px 0 rgba(78,75,71, 0.2);
}

/* Keep the button round when hovered */
.button-rounded.filled.hover-expand.round:hover .back { border-radius: 50px; }



/* ---------------------------------------------------------------------------------------- */
/* LINKS */
/* ---------------------------------------------------------------------------------------- */

.hLink.highlight:hover { background-color: var(--blue-highlight); }
.hLink.underline:hover { text-decoration: underline; }

.hLink.lightBlue { background-color: var(--blue-highlight); }
.hLink.blueHover:hover { background-color: var(--blue); color: white; }
.hLink.blueHover:hover svg { fill: white; }


.hLink.blackClick:active { background-color: var(--pastelControlColor-Pressed) !important; }
.hLink.blackClick:active svg { fill: white !important; }



/* ---------------------------------------------------------------------------------------- */
/* FOOTER MENU */
/* ---------------------------------------------------------------------------------------- */

.pageFooter .pageFooterMenu .column a:hover {  text-decoration: underline; color: black !important; }


/* .pageFooter .pageFooterMenu .socialBlock a:hover { background-color: var(--pastelControlColor-Light-Very); } */
.pageFooter .pageFooterMenu .socialBlock a:hover svg { opacity: 1.0; fill: white; }

.pageFooter .pageFooterMenu .socialBlock a.twitter:hover 	{ background-color: #0F1419; }
.pageFooter .pageFooterMenu .socialBlock a.bluesky:hover 	{ background-color: #0081F7; }
.pageFooter .pageFooterMenu .socialBlock a.mastodon:hover  	{ background-color: #5E51E8; }
.pageFooter .pageFooterMenu .socialBlock a.facebook:hover 	{ background-color: #0866FF; }
.pageFooter .pageFooterMenu .socialBlock a.reddit:hover  	{ background-color: #FF4500; }
.pageFooter .pageFooterMenu .socialBlock a.threads:hover 	{ background-color: #323232; }

/*.pageFooter .pageFooterMenu .socialBlock a.twitter:hover svg 	{ fill: #0F1419; }
.pageFooter .pageFooterMenu .socialBlock a.bluesky:hover svg 	{ fill: #0081F7; }
.pageFooter .pageFooterMenu .socialBlock a.mastodon:hover svg 	{ fill: #5E51E8; }
.pageFooter .pageFooterMenu .socialBlock a.facebook:hover svg 	{ fill: #0866FF; }
.pageFooter .pageFooterMenu .socialBlock a.reddit:hover svg 	{ fill: #FF4500; }
.pageFooter .pageFooterMenu .socialBlock a.threads:hover svg 	{ fill: #202020; }*/

.pageFooter .pageFooterMenu .socialBlock a:active { background-color: var(--gray-55p); }
.pageFooter .pageFooterMenu .socialBlock a:active svg { opacity: 1.0; fill: white !important; }


/* .footerMenu .column a:hover {  text-decoration: underline; color: black; } */




/* *** INDEX-FEATURES: PANELS PALETTE *** */

.panelsPalette .column .image:hover { -ms-transform: translateY(-10px); transform: translateY(-10px);  }

.learnMoreLink.blue:hover	{ color: white; background-color: rgb(16,150,225); border-color: rgb(16,150,225); }
.learnMoreLink.green:hover	{ color: white; background-color: rgb(52,175, 66); border-color: rgb(52,175, 66); }
.learnMoreLink.orange:hover	{ color: white; background-color: rgb(224,73, 47); border-color: rgb(224,73, 47); }

.learnMoreLink:active	{
	color: white;
	background-color: var(--pastelControlColor-Pressed) !important;
	border-color: var(--pastelControlColor-Pressed) !important;
}



/* ---------------------------------------------------------------------------------------- */
/* FEATURES */
/* ---------------------------------------------------------------------------------------- */

.screenshotsBlock .screen a:hover .h {
	-moz-box-shadow: 0 0 0 1px rgba(0,163,255,0.4), 0 0 0 5px rgba(16,150,225,0.25), 0 5px 10px 0 rgba(16,150,225,0.35);
	-webkit-box-shadow: 0 0 0 1px rgba(0,163,255,0.4), 0 0 0 5px rgba(16,150,225,0.25), 0 5px 10px 0 rgba(16,150,225,0.35);
	box-shadow: 0 0 0 1px rgba(0,163,255,0.4), 0 0 0 5px rgba(16,150,225,0.25), 0 5px 10px 0 rgba(16,150,225,0.35);
}


/* ---------------------------------------------------------------------------------------- */
/* SUPPORT PAGE */
/* ---------------------------------------------------------------------------------------- */

/* *** FORM *** */

.stdFormContent .formField .formInput:focus { background-color: white; }

.stdFormContent .formField.validationErrorField .formInput:focus {	
	-moz-box-shadow: 0 0 0 4px rgba(233, 88, 63, 0.15) !important;
	-webkit-box-shadow: 0 0 0 4px rgba(233, 88, 63, 0.15) !important;
	box-shadow: 0 0 0 4px rgba(233, 88, 63, 0.15) !important;
}

.defaultFocusRing:focus {
	outline: none !important;
	border-color: rgba(38, 152, 255, 0.6) !important;
	-moz-box-shadow: 0 0 0 4px rgba(38, 152, 255, 0.25) !important;
	-webkit-box-shadow: 0 0 0 4px rgba(38, 152, 255, 0.25) !important;
	box-shadow: 0 0 0 4px rgba(38, 152, 255, 0.25) !important;
}

.supportContainer .socialIcons .icon.facebook:hover { background-color: #1877F2; }
.supportContainer .socialIcons .icon.twitter:hover  { background-color: #1B9DF0; }


.topPromoLine:hover { text-decoration: underline !important; }